Welcome to 2019
[ikiwiki.git] / doc / todo / recommend_libtext-markdown-discount_instead_of_depending.mdwn
1 Would you consider Recommending `libtext-markdown-discount` instead of
2 depending on it?  It isn't available in wheezy, and the sid version is the
3 wrong side of a perl transition, unfortunately.  This is the only
4 dependency preventing the stock sid version of ikiwiki from being
5 installable on a wheezy host. -- [[Jon]]
6
7 > That's a temporary problem. Actually, I just checked and it's already
8 > resolved; discount is in testing now, as is the latest ikiwiki.
9
10 > Ikiwiki depends on enough perl modules
11 > to make sure it will work, and since it uses discount by default,
12 > it needs to depend on it. If I make the dependency on
13 > `libtext-markdown-discount-perl | libtext-markdown-perl',
14 > then users will not automatically transition to using discount, which
15 > I want them to do. [[done]] --[[Joey]]
16
17 >> Sorry, I made a mistake in the phrasing of my original request. It's
18 >> not installable on *squeeze*, which is what I care about, rather than
19 >> *wheezy*.  Someone needs to backport `libtext-markdown-discount` I
20 >> guess. — [[Jon]]
21
22 >>> For squeeze, it will be appropriate for an ikiwiki backport to
23 >>> still depend on the old markdown. Although a discount backport would be 
24 >>> nice! I don't want the current ikiwiki to be held back by requirement
25 >>> that it be installable as-is on squeeze. --[[Joey]]